bdi4jade.goal

## Enum GoalStatus

- java.lang.Object
- - java.lang.Enum<GoalStatus>
  - - bdi4jade.goal.GoalStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GoalStatus>

      public enum GoalStatus
      extends java.lang.Enum<GoalStatus>

  This enumeration provides the possible status that a goal can have. This status is determined by `Intention`.
  Author:
    Ingrid Nunes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACHIEVED`
    `NO_LONGER_DESIRED`
    `PLAN_FAILED`
    `TRYING_TO_ACHIEVE`
    `UNACHIEVABLE`
    `WAITING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isFinished()` Indicates whether this status corresponds to a status in which the goal has finished, that is, the agent does not have the goal anymore.
    `static GoalStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GoalStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACHIEVED

          public static final GoalStatus ACHIEVED

    - #### NO_LONGER_DESIRED

          public static final GoalStatus NO_LONGER_DESIRED

    - #### PLAN_FAILED

          public static final GoalStatus PLAN_FAILED

    - #### TRYING_TO_ACHIEVE

          public static final GoalStatus TRYING_TO_ACHIEVE

    - #### UNACHIEVABLE

          public static final GoalStatus UNACHIEVABLE

    - #### WAITING

          public static final GoalStatus WAITING

  - ### Method Detail

    - #### values

          public static GoalStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GoalStatus c : GoalStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GoalStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isFinished

          public boolean isFinished()

      Indicates whether this status corresponds to a status in which the goal has finished, that is, the agent does not have the goal anymore.
      Returns:
        true if the status is a status of finished goal, false otherwise.